<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <title>Movie DB</title>
    
    <meta name="title" content="Movie DB">
    <meta name="description" content="Rechercher des informations sur vos films préférés"> 
    <meta property="og:type" content="website">
    <meta property="og:title" content="Movie DB">
    <meta property="og:description" content="Rechercher des informations sur vos films préférés">
    
    <!--link rel="icon" type="image/png" sizes="32x32" href=""-->

    <!--feuille de style-->
    <link rel="stylesheet" href="./assets/css/style.css">
    <!--fonts-->
</head>

<body>
        <nav class="navbar navbar-dark bg-dark">
          <a class="navbar-brand d-flex text-info font-weight-bold" href="./index.html">
            <svg width="1.2em" height="1.2em" viewBox="0 0 16 16" class="bi bi-camera-reels" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
              <path fill-rule="evenodd" d="M2.667 7C2.022 7 1.5 7.522 1.5 8.167v5.666c0 .645.522 1.167 1.167 1.167h6.666c.645 0 1.167-.522 1.167-1.167V8.167C10.5 7.522 9.978 7 9.333 7H2.667zM.5 8.167C.5 6.97 1.47 6 2.667 6h6.666c1.197 0 2.167.97 2.167 2.167v5.666C11.5 15.03 10.53 16 9.333 16H2.667A2.167 2.167 0 0 1 .5 13.833V8.167z"/>
              <path fill-rule="evenodd" d="M11.25 9.15l2.768-1.605a.318.318 0 0 1 .482.263v6.384c0 .228-.26.393-.482.264l-2.767-1.605-.502.865 2.767 1.605c.859.498 1.984-.095 1.984-1.129V7.808c0-1.033-1.125-1.626-1.984-1.128L10.75 8.285l.502.865zM3 5a2 2 0 1 0 0-4 2 2 0 0 0 0 4zm0 1a3 3 0 1 0 0-6 3 3 0 0 0 0 6z"/>
              <path fill-rule="evenodd" d="M9 5a2 2 0 1 0 0-4 2 2 0 0 0 0 4zm0 1a3 3 0 1 0 0-6 3 3 0 0 0 0 6z"/>
            </svg>
            &#160;Movie DB
          </a>  
          
          <form class="form-inline my-2 my-lg-0">
            <div class="input-group pl-0">
              <input class="form-control" type="search" id="search-input" placeholder="Movie title" aria-label="Search">
              <div class="input-group-append">
                <button class="btn btn-info" type="submit" id="search">
                  <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-search" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd" d="M10.442 10.442a1 1 0 0 1 1.415 0l3.85 3.85a1 1 0 0 1-1.414 1.415l-3.85-3.85a1 1 0 0 1 0-1.415z"/>
                    <path fill-rule="evenodd" d="M6.5 12a5.5 5.5 0 1 0 0-11 5.5 5.5 0 0 0 0 11zM13 6.5a6.5 6.5 0 1 1-13 0 6.5 6.5 0 0 1 13 0z"/>
                  </svg>
                </button>
              </div>
            </div>
          </form>

          </div>
        </nav>

        <div id="content-home" class="content-flex">
          <div class="jumbotron rounded-0 bg-info">
            <div class="container">
              <h1 class="display-4 text-light">Welcome.</h1>
              <p class="lead text-light">Here you can easily find information about your favourite movies. Start exploring now.</p>
            </div>
          </div>

          <div class="container my-5">
            <h2>Top rated movies</h2>
            <div class="container home-preview px-0 pb-2 my-2">
              <div id="top-rated-container"></div>
            </div>
          </div>

          <div class="container my-5">
            <h2>Most popular movies</h2>
            <div class="container home-preview px-0 pb-2 my-2">
              <div id="popular-container"></div>
            </div>
          </div>

          <div class="container my-5">
            <h2 class="text-dark">Movies playing now</h2>
            <div class="container home-preview px-0 pb-2 my-2">
              <div id="playing-container"></div>
            </div>
          </div>
          
          <div class="container my-5">
            <h2 class="text-dark">Upcoming movies</h2>
            <div class="container home-preview px-0 pb-2 my-2">
              <div id="upcoming-container"></div>
            </div>
          </div>

        </div>


        <div id="content-search" class="content content-flex container bg-white">

          <div class="p-4">
            <h2 id="search-intro" class="pb-3 text-black-50"></h2>
            <div id="search-results" class="results container bg-white"></div>
            <div class="d-flex justify-content-center">
              <nav aria-label="Page navigation" class="mt-5">
                <ul class="pagination">
                  <li id="page-item-prev" class="page-item">
                    <a id="prev-btn" class="page-link" aria-label="Previous"  href="#top">
                      <span aria-hidden="true">&laquo;</span>
                    </a>
                  </li>
                  <li class="d-flex align-items-center justify-content-center border-top border-bottom px-2">
                    <p id="page-and-total" class="mb-0 text-muted"></p>
                  </li>
                  <li id="page-item-next" class="page-item">
                    <a id="next-btn" class="page-link" aria-disabled="false" aria-label="Next"  href="#top">
                      <span aria-hidden="true">&raquo;</span>
                    </a>
                  </li>
                </ul>
              </nav>
            </div>

          </div>

        </div>

        <footer class="bg-dark d-flex flex-column align-items-center justify-content-center py-5">
          <p class="text-white-50 text-center">This website is based on data from <a class="text-info" href="https://www.themoviedb.org/" aria-label="visit The Movie Database API website">The Movie Database API</a></p>
          <img src="./assets/images/themoviedbLogo.svg">
        </footer>

    <!-- script -->
    <script src="./node_modules/jquery/dist/jquery.slim.min.js"></script>
    <script src="./node_modules/@popperjs/core/dist/umd/popper.js"></script>
    <script src="./node_modules/bootstrap/dist/js/bootstrap.js"></script>
    <script src="./assets/js/apikey.js"></script>
    <script src="./assets/js/index.js"></script>

</body>
</html>


